package org.springblade.system.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.springblade.common.core.domain.entity.SysEncryType;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/9/10 - 10:36
 */
@Mapper
public interface SysEncryTypeMapper {
    List<SysEncryType> selectSysEncryTypeList(SysEncryType sysEncryType);

    Integer edit(SysEncryType sysEncryType);

    Integer add(SysEncryType sysEncryType);

    Integer del(SysEncryType sysEncryType);

    Integer selectSysEncryType(SysEncryType sysEncryType);



    List<SysEncryType> selectSysEncryTypeListFile(SysEncryType sysEncryType);

    Integer editFile(SysEncryType sysEncryType);

    Integer addFile(SysEncryType sysEncryType);

    Integer delFile(SysEncryType sysEncryType);

    Integer selectSysEncryTypeFile(SysEncryType sysEncryType);
}
